Stream Utilities

## Detailed Description

## Data Structures

struct | CFStreamClientContext
struct | CFStreamError

## Enumerations

enum | CFStreamStatus { kCFStreamStatusNotOpen = 0 , kCFStreamStatusOpening , kCFStreamStatusOpen , kCFStreamStatusReading , kCFStreamStatusWriting , kCFStreamStatusAtEnd , kCFStreamStatusClosed , kCFStreamStatusError }
enum | CFStreamErrorDomain { kCFStreamErrorDomainCustom = -1 , kCFStreamErrorDomainPOSIX = 1 , kCFStreamErrorDomainMacOSStatus }
enum | CFStreamEventType { kCFStreamEventNone = 0 , kCFStreamEventOpenCompleted = 1 , kCFStreamEventHasBytesAvailable = 2 , kCFStreamEventCanAcceptBytes = 4 , kCFStreamEventErrorOccurred = 8 , kCFStreamEventEndEncountered = 16 }

## Variables

const CFStringRef | kCFStreamPropertyDataWritten
const CFStringRef | kCFStreamPropertySocketNativeHandle
const CFStringRef | kCFStreamPropertySocketRemoteHostName
const CFStringRef | kCFStreamPropertySocketRemotePortNumber
const CFStringRef | kCFStreamPropertyAppendToFile
const CFStringRef | kCFStreamPropertyFileCurrentOffset

## NSStream functions

void | CFStreamCreatePairWithSocketToHost (CFAllocatorRef alloc, CFStringRef host, UInt32 port, CFReadStreamRef *readStream, CFWriteStreamRef *writeStream)
void | CFStreamCreatePairWithPeerSocketSignature (CFAllocatorRef alloc, const CFSocketSignature *signature, CFReadStreamRef *readStream, CFWriteStreamRef *writeStream)
void | CFStreamCreateBoundPair (CFAllocatorRef alloc, CFReadStreamRef *readStream, CFWriteStreamRef *writeStream, CFIndex transferBufferSize)

## Data Structure Documentation

## CFStreamClientContext

struct CFStreamClientContext

Data Fields
CFIndex | version |
void * | info |
CFAllocatorRetainCallBack | retain |
CFAllocatorReleaseCallBack | release |
CFAllocatorCopyDescriptionCallBack | copyDescription |

## _CFStreamError

struct _CFStreamError

Data Fields
CFStreamErrorDomain | domain |
SInt32 | error |